Package Details: ruby-rmail-sup 1.0.1-1

Git Clone URL: https://aur.archlinux.org/ruby-rmail-sup.git (read-only, click to copy)
Package Base: ruby-rmail-sup
Description: RMail is a lightweight mail library containing various utility classes and modules that allow ruby scripts to parse, modify, and generate MIME mail messages.
Upstream URL: https://rubygems.org/gems/rmail-sup
Licenses: unknown
Conflicts: ruby-rmail
Submitter: ainola
Maintainer: asch
Last Packager: asch
Votes: 7
Popularity: 0.000000
First Submitted: 2015-08-17 14:56
Last Updated: 2020-05-05 06:40

Dependencies (1)

Required by (1)

Sources (1)

Latest Comments

BlackLotus89 commented on 2020-05-04 22:17

Here is a working PKGBUILD

Maintainer: Vojtěch Aschenbrenner v@asch.cz

_gemname=rmail-sup pkgname=ruby-$_gemname pkgver=1.0.1 pkgrel=1 pkgdesc="RMail is a lightweight mail library containing various utility classes and modules that allow ruby scripts to parse, modify, and generate MIME mail messages." arch=(any) url="https://rubygems.org/gems/rmail-sup" license=('unknown') depends=(ruby) conflicts=(ruby-rmail) source=(https://rubygems.org/downloads/$_gemname-$pkgver.gem) noextract=($_gemname-$pkgver.gem) sha256sums=('2f61911c2aa30284c7e2ed3d7bb594a7cb8d20a67774a570a7c0141d40985cf7')

package() { cd "$srcdir" # _gemdir is defined inside package() because if ruby[gems] is not installed on # the system, makepkg will exit with an error when sourcing the PKGBUILD. local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"

gem install --no-user-install --ignore-dependencies -i "$pkgdir$_gemdir" -n "$pkgdir/usr/bin" \ "$_gemname-$pkgver.gem" }

Spheerys commented on 2019-07-07 21:24

I have an error during installation : Error downloading sources: ruby-rmail-sup